cURL
curl --request PATCH \ --url https://app.nex.ai/api/developers/v1/notifications/preferences \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "frequency_minutes": 123, "enabled_types": [ "<string>" ], "digest_enabled": true } '
{ "frequency_minutes": 123, "enabled_types": [ "<string>" ], "digest_enabled": true }
Update notification polling frequency, enabled types, or digest settings. All fields are optional.
API key for authentication (format: "Bearer YOUR_API_KEY")
Notification preferences to update
How often the notification system polls for new alerts (in minutes)
List of notification types to enable
Whether to enable digest notifications
Updated notification preferences
List of enabled notification types
Whether digest notifications are enabled